import { PassSDK, RedeemAndRevealSDK, SimultaneousRevealSDK, UseCase } from '@inkerlabs/sdk';
declare type ReturnType = {
    [UseCase.PASS]: PassSDK['buyPublic'];
    [UseCase.RR]: RedeemAndRevealSDK['buyPublic'];
    [UseCase.SR]: SimultaneousRevealSDK['buyPublic'];
};
export default function useBuyPublicFactory<T extends UseCase>(useCase: T): () => ReturnType[T];
export {};
