import useContractDataFactory from '../common/useContractDataFactory';
import useContractMetadataFactory from '../common/useContractMetadataFactory';
import useBuyPrivateFactory from '../common/useBuyPrivateFactory';
import useBuyPublicFactory from '../common/useBuyPublicFactory';
import useWhiteListTicketsFactory from '../common/useWhiteListTicketsFactory';
import useConfigFactory from '../common/useConfigFactory';
import useNFTsFactory from '../common/useNFTsFactory';
import _useRedeemableBalance from './useRedeemableBalance';
import _useRedeemableAsset from './useRedeemableAsset';
import _useReveal from './useReveal';
import { UseCase, } from '@inkerlabs/sdk';
export var useContractData = useContractDataFactory(UseCase.RR);
export var useContractMetadata = useContractMetadataFactory(UseCase.RR);
export var useBuyPrivate = useBuyPrivateFactory(UseCase.RR);
export var useBuyPublic = useBuyPublicFactory(UseCase.RR);
export var useWhiteListTickets = useWhiteListTicketsFactory(UseCase.RR);
export var useConfig = useConfigFactory();
export var useNFTs = useNFTsFactory(UseCase.RR);
export var useRedeemableBalance = _useRedeemableBalance;
export var useRedeemableAsset = _useRedeemableAsset;
export var useReveal = _useReveal;
